function encrypt_password(passwd, encrypt_text) {
    // input is password and encrypt_text
    // output is decrypted String.
    var secret_passphrase = CryptoJS.enc.Utf8.parse(passwd);
    var salt = CryptoJS.lib.WordArray.random(128 / 8);
    var key128Bits500Iterations =
      CryptoJS.PBKDF2(secret_passphrase, salt, {keySize: 128 / 8, iterations: 500 });
    var iv = CryptoJS.lib.WordArray.random(128 / 8);
    var options = {iv: iv, mode: CryptoJS.mode.CBC, padding: CryptoJS.pad.Pkcs7};
    var message_text = CryptoJS.enc.Utf8.parse(encrypt_text);
    // Main
    var encrypted = CryptoJS.AES.encrypt(message_text, key128Bits500Iterations, options);
    var binary_data = CryptoJS.enc.Hex.stringify(salt);
    binary_data += (',' + CryptoJS.enc.Hex.stringify(iv));
    binary_data += (',' + encrypted);
    return binary_data;
}

function decrypt_password(passwd, encrypted_text) {
    // input is password and encrypted text
    // output is decrypted String
    var array_rawData = encrypted_text;
    var salt = CryptoJS.enc.Hex.parse(array_rawData[0]);
    var iv = CryptoJS.enc.Hex.parse(array_rawData[1]);
    var encrypted_data = CryptoJS.enc.Base64.parse(array_rawData[2]);
    var secret_passphrase = CryptoJS.enc.Utf8.parse(passwd);
    var key128Bits500Iterations = CryptoJS.PBKDF2(secret_passphrase, salt, {keySize: 128 / 8, iterations: 500 });
    var options = {iv: iv, mode: CryptoJS.mode.CBC, padding: CryptoJS.pad.Pkcs7};
    //Main
    var decrypted = CryptoJS.AES.decrypt({"ciphertext":encrypted_data}, key128Bits500Iterations, options);
    return decrypted.toString(CryptoJS.enc.Utf8);
}