'use strict';
// About Electron
const $ = require('jquery');

// この1行がいるかどうかわからん
const jQuery = $;
const electron = require('electron');
const ipcRenderer = electron.ipcRenderer;

function getRndStr(){
  //使用文字の定義
  var str = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
 
  //桁数の定義
  var len = 12;
 
  //ランダムな文字列の生成
  var result = "";
  for(var i=0;i<len;i++){
    result += str.charAt(Math.floor(Math.random() * str.length));
  }
  return result;
}

ipcRenderer.on('make_password', function(event, make_password) {
  console.log(make_password);
  $("#form_pass").val(getRndStr());
});

ipcRenderer.on('save_tree', function(event, save_tree) {
  save_json();
})

ipcRenderer.on('encrypt_tree', function(event, save_tree) {
  if (location.href.split("/").pop() != "login.html") {
    // 木の暗号化
    var ip_hash = CryptoJS.enc.Utf8.parse(localStorage.getItem("ip_hash"));
    var key     = localStorage.getItem("enc_dec_key");
    var ip_hash_encrypted = CryptoJS.AES.encrypt(ip_hash, key).toString();
    localStorage.setItem("ip_hash", ip_hash_encrypted);
    
    // keyの削除
    key = "";
    localStorage.removeItem('key');
  } else {
    // keyの削除
    key = "";
    localStorage.removeItem('key');
  }
});