## #13 ipc通信を使ってみよう
https://dotinstall.com/lessons/basic_electron/36213

```:index.js
const ipcMain = electron.ipcMain;
```

```:index.html, :settings.html
const ipcRenderer = require('electron').Renderer;
```

```:settings.html
ipcRenderer.send('settings_changed', color);
```

```:index.js
ipcMain.on('settings_changed', function(event, color) {
  mainWindow.webContents.send('set_bgcolor', color);
});
```

```:index.html
ipcRenderer.on('set_bgcolor', function(event, color) {
  document.body.style.backgroundColor = color;
}))
```